## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://developer.mindbridge.ai/llms.txt)

Use this file to discover all available pages before exploring further.

### Create File Manager File From Multipart File

#### Endpoint

`POST /v1/file-manager/import`

#### cURL Example

```
curl --request POST \
  --url https://{tenant}.mindbridge.ai/api/v1/file-manager/import \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'fileManagerFile={
  "originalName": "<string>",
  "extension": "<string>",
  "id": "<string>",
  "version": 123,
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "engagementId": "<string>",
  "parentFileManagerEntityId": "<string>",
  "name": "<string>",
  "status": [],
  "fileInfoId": "<string>"
}' \
  --form file='@example-file'
```

#### Example Python Code

```python
import requests

url = "https://{tenant}.mindbridge.ai/api/v1/file-manager/import"

files = { "file": ("example-file", open("example-file", "rb")) }
payload = { "fileManagerFile": "{
  \"originalName\": \"<string>\",
  \"extension\": \"<string>\",
  \"id\": \"<string>\",
  \"version\": 123,
  \"creationDate\": \"2023-11-07T05:31:56Z\",
  \"lastModifiedDate\": \"2023-11-07T05:31:56Z\",
  \"engagementId\": \"<string>\",
  \"parentFileManagerEntityId\": \"<string>\",
  \"name\": \"<string>\",
  \"status\": [],
  \"fileInfoId\": \"<string>\"
}" }
headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, data=payload, files=files, headers=headers)

print(response.text)
```

#### Expected Response Structure

```json
{
  "originalName": "<string>",
  "extension": "<string>",
  "id": "<string>",
  "version": 123,
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "engagementId": "<string>",
  "parentFileManagerEntityId": "<string>",
  "name": "<string>",
  "status": [],
  "fileInfoId": "<string>"
}
```

### Authorizations

- **Authorization:** Bearer authentication header of the form `Bearer <token>`.

### Headers

- **Content-Type:** `multipart/form-data`

### Body

- **fileManagerFile**: File Manager File object (required)
- **file**: file (required)

### Response Codes
- **201**: Created

### Permissions
- `api.file-manager.import` to allow file imports.
